What is Available Domains

What is Available Domains Pro?

Available Domains Pro is a feature-packed, convenient and fast domain checker that finds attractive domain names for your personal or business web site and manages them. It has an ultimate (524 TLDs) database, integrated Domain Name Generator, Link Popularity checker, customizable user interface and more. You can populate the domain list manually, generate it from keywords, brainstorm domain names or import them from file. The domain list can be exported to file, sent via e-mail. This program checks multiple domains availability simultaneously and you can start/stop checking all domains as well as specific domain at any time. This program is the best domain checker, domain generator and domain manager on the market!

See Also:
Getting Started
Main Features
Search Samples
How To Use Available Domains


Why use Available Domains Pro?

Why Available Domains Pro?

Flexible Functionality
If you are a registered user, you can submit one favorite feature of your choice and we promise that we will add it into the program very soon. While usual custom development can be too expensive, favorite feature of your choice action is the best way to make sure that every Available Domains Pro user will find his favorite feature in the program. More...
Save Your Time
Fast and easy to use program with user-friendly interface, convinient menus, tray icon... Instantly enter, generate or import domain names... High performance domain checker... Yahoo, Alexa, Altavista, Google and overall link popularity... Yes, it's a great time-saver!
High Performance
This program can simultaneously check up to 20 domains. And even if you use dial-up connection, you can check up to 120 domains per minute. For usual cable connection, the speed is about 720 domains per minute. We've done everything to reach the maximum speed of domain checking for your network!
Note: Some program settings can slow down the program. More...
High Reliability
Domain name checker doesn't give up when your network or Registrar's server fails. It can retrieve domain information from several servers using several protocols and it uses the best choice. This intelligent techique saves your traffic and attempts to don't abuse Registrar's server!
Ultimate and Up-to-date TLD database
TLD database used by the program contains 524 TLDs and always updated when new TLD is added by ICANN or Registrar changes its server. Usually you don't have to download the whole program, TLD database updates can be downloaded within the program in a few seconds.
Advanced Brainstorming
Available Domains Pro is great for brainstorming when you know just a few words that a domain name should contain. Text Mode is a domain name generation mode that creates all combinations of entered keywords including a hyphened domains (optionally). Order of keywords can be defined, such as Start, End, Middle, Number of Order, and their combinations. Quick Mode can generate hundreds and thousands of domain names from a single keyword from the seleted themes. Theme defines a domain name usage. There are General, Business, Sports and other Themes. With this brainstorming mode you can easily find the right domain names and quickly check their availability.
Easy Domain Management
Available Domains Pro allows you to manage all your domains from a single point. Type in your domain names, or import them from text file. Then you can check their availability, expiration date, Registrar and domain owner records. Results can be saved, exported, printed, or even sent via e-mail!
Domain Name List is easily managed: you can find and delete particular domains, or filter them by expiration date, sort the whole list by any field, lookup or stop particular domain or a group of domains. Domain Name List columns such as Domain Name, Availability, Expiration Date and others can be easily resized, you can change their order and visibility.
See Also:
Main Features
How To Use Available Domains


Main Features

  • Automatic domain names generation. Just enter keywords to be included in your domain name. The program will create all matching names. ALL possible combinations of names will be created.
  • Professional Edition has a Quick Mode which requires only one or two keywords from you. Select desired Theme. and the program will generate a plenty of great domain names. Currently there are Common, Business, Sport, Entertainment, Software Themes, and you can add your own!
  • Professional Edition can check Link Popularity from Google, Altavista, AllTheWeb, presence in Yahoo and DMOZ Directories and Traffic Ratings from Alexa.
  • USA, UK and Canada Trademark search.
  • Optional and Mandatory keywords.
  • Order of words can be defined, such as Start, End, Middle, Number of Order, and their combinations.
  • Professional Edition and Standard Edition supports ALL TLDs (524 Top-Level Domains).
  • Open and Save all your data, that is, keywords, selected TLDs and results of querying.
  • Professional Edition allows you to PRINT OUT the search results and edit TLD's whois server.
  • Import your keywords list and domains list already created in any third-party programs.
  • Export your domain list to text or CSV file .
  • Domain List mode allows you to enter domains to lookup without making combinations of them. It can be used to import list of domains but override their TLD.
  • Extended mode splits the query in two passes. First pass checks for domain's availability and retrieves basic information. Then second pass is used for retrieving details for domain that is taken. This makes the program both fast and detailed.
  • It works very fast. Tests show speed of more than hundred domains per second. And we decided to add delay between sequentual requests and set the speed of querying to about TEN domains per second. This was done to let WHOIS servers working in usual manner without being overworked. This speed is more than enough for every need.
  • Instant Configuration Update. Configuration, that is TLDs, currently working WHOIS servers and other information that needs to be updated can be downloaded automatically from our web site on each start of the program.
  • Can be used in two modes - HTTP or WHOIS. Mode determines which protocol to use for lookup domain information. Default is WHOIS mode. HTTP mode is provided for compatibility with previous versions and supports HTTP proxy.
  • You can send Domain List via E-Mail.
  • When you minimize the program, it hides and removes itself from the taskbar. You can use tray icon to restore it.


Getting Started

Available Domains Pro

Welcome to Available Domains Pro, advanced domain generator and reliable whois checker!

»Domain names generation

»Checking domain availability

»Checking domain popularity

»Advanced domain lookup

»Samples

Domain Names Generation

Available Domains Pro supports 3 domain name generation modes: Quick Mode, Text Mode and Domain List Mode. Settings on the Generation tab, Program Options screen affect all these modes.

Quick Mode

Quick Mode generates domain names only for selected Themes. Simply select desired Themes and enter several keywords (one or two keywords is usually enough). Keywords will be used as a part of generated domain names.

Text Mode

Text Mode uses several keywords to generate domain names. While Quick Mode is great for brainstorming, Text Mode form all domain names from your keywords only (without any additional words as in Quick Mode). Text Mode creates combinations of provided words taking into account whether keywords are marked as required or optional and desired order of keywords in a domain name.

Domain List

Domain List allows you to enter custom domain names. Enter one domain name per line. Many important information can be retrieved: Availability, Expiration Date, Link Popularity and even result of custom script expression (Custom Column).
For importing large domain lists, use Import From File command in Domains menu.

Checking domain availability

Domain Name Checker integrated into Available Domains is very powerful and can be easily configured for the best performance. It makes a sense to open Program Options screen right now and spend a few minutes to configure the program for your needs. Use Help button to obtained detailed information about settings that you see.

Once you have generated domain names, they will be checked. Depending on program setting, only basic domain information will be retrieved, or advanced information as well. To retrieve Expiration Date and Owner information in COM, NET and ORG zones, you need to turn Advanced Information on. All other domains don't need it because full domain information for them is retrieved in one pass.

Checking domain popularity

Available Domains Pro currently supports Google, Altavista, AllTheWeb and Alexa search engines and Yahoo, DMOZ directories. If you are a registered user and need your favorite search engine to be included into the program, you can ask us and we will do it as a part of our Feature of Your Choice program.

Link Popularity is the number of web sites (or pages) that link to a domain. For Yahoo Directory it can be 0 (domain is not in the directory) and 1 (domain is in the directory). For DMOZ Directory it is the number of listings for a domain.

The value of Average Popularity column can be customized. The program uses weight-based method for its calculation. For example, Yahoo weight is 50 because it's such important directory and maximum result for it can be 1. Weight of search engines is lower because their link popularity can be a 6-digits value (as opposed to 1 for Yahoo!).

Advanced domain lookup

Sometimes it's necessary to lookup specific domain information when all domain availability and link popularity retrieved. It can be a Google Query, or real-time Registrar database lookup (RRP - Registry / Registrar protocol). Custom Column feature can be used in such situations. When all domain information is retrieved by the program, expression from Calculate Expression setting is calculated. Result of this expression is written to the Custom Column for current domain. Custom Column value is saved when the document saved and exported when you export the whole domain list.

Samples

You can open sample document for Personal, Business or Industry web sites. When you opened document, Reset All Domains and Lookup them by using corresponding commands from Domains menu.

Press Open Sample button to open a sample.


Samples

To help you to learn Available Domains quickly, we've shipped several Available Domains sample documents demonstrating the typical use of the program.

Currently, there are ten sample files - quicktheme-cars.avd, quicktheme-corporate.avd, quicktheme-personal.avd, quicktheme-shop.avd, quicktheme-software.avd, textmode-car.avd, textmode-corporate.avd, textmode-personal.avd, textmode-shop.avd and textmode-software.avd. You can open sample by clicking Open button or with Open... command from File menu.

These samples shows how to find suitable domain names for some specific purposes.
Corporate sample demonstrates finding domain name for a company with assumption that domain name should correlate with company name. Business samples are for finding domain name for the specific industry. Such domain names should attract visitors from the search engines and therefore they should contain the right keywords. Personal sample finds domain name for a personal web site. You don't have to take the keywords we used in this sample too seriously.

In all samples, keywords are defined and domain names already generated. To start finding desired domains, first reset marked domains using Reset Marked command from Domains menu, then click Lookup Marked button or run Lookup All Marked command from Domains menu.
Look at the keywords in each sample. They are different and describe specific domain names. It's vital to experiment with keywords, especially with synonyms. Good luck!

See Also:
Getting Started
How To Use Available Domains


Toolbar Description

New - Create new document (.AVD file)
Open - Open a document
Save - Save the document
Generate Domains - Generate domain names from defined keywords
Lookup Marked - Lookup marked domains, that is, check for their availability, popularity, etc
Stop All - Stop the process of checking of all the domains
Register Domain - Register selected domain - opens list of Registrars.
Mark All - Mark all domains in the domain list
Delete All Domains - Delete all domains from the domain list
Help - Open comprehensive program help.

See Also:
Main Features
How To Use Available Domains


Main Menu

File menu

New (Ctrl+N) - Creates new document (.AVD file). Document contains information about keywords, list of TLDs and list of domains. Program options are shared among all documents.
Open... (Ctrl+O) - Opens an existing document.
Save (Ctrl+S) - Saves the document.
Save As... - Saves the document under a different name.
Print... - Prints the active document.
Print Preview... - Displays full pages.
Print Setup... - Allows you to change the printer and printing options.
Send Domains via E-mail... - Sends the domain list via e-mail.
Connect - Establishes an Internet connection (only for Dial-Up Internet connection).
Hang Up - Hangs up the current Dial-Up connection.
Exit - Closes the program.

Edit menu

Find Domain... (Ctrl+F) - Opens Seek to Domain dialog allowing you to find domain by its name or part of its name.
Find Domain by Expiration... (Ctrl+Shift+F) - Opens Find Domain by Expiration dialog allowing you to find domain by its expiration date.
Find Next (F3) - Seeks to the next domain using parameters from previous search.
Mark All Domains (Ctrl+A) - Marks all domains in the domain list.
Invert Marks - Inverts marks, so marked domains become unmarked and vice versa.
Clear Marks - Clears marks. All domains in the domains list become unmarked.
Copy Selected Domain (Ctrl+C) - Copies the name of selected domain to the clipboard.
Copy All Domains - Copies the names of all domains to the clipboard.
Copy All Marked Domains - Copies the names of marked domains to the clipboard.
Delete Selected Domain (Del) - Removes selected domain from the list.
Delete All Domains - Removes all domains from the list.
Delete All Marked Domains - Removes marked domains from the list.
Filter Domains by Expiration... (Ctrl+Shift+D) - Opens Filter Domain by Expiration dialog allowing you to find domain by its expiration date.

View menu

Customize Columns... - Opens a dialog where you can add, remove and change order of columns.

Keywords Bar - Shows or hides Keywords Bar. This bar allows you to define keywords.
TLDs Bar - Shows or hides TLDs Bar. This bar allows you to select desired TLDs.
Domain InfoBar - Shows or hides Domain Infobar. This bar shows information about selected domain.
Toolbar Button Labels - Shows or hides toolbar button labels.

Keywords menu

Import from File... - Opens file dialog allowing you to choose the file. Content of this file will be imported into Keywords Window.
Clear - Removes any keywords from the Keywords Window.

Domains menu

Generate from Keywords - Generates domains from defined keywords and add these domains into domain list. For more details, read description of the next command.
Generate Next <N> Domains - If the Generate from Keywords command created more domains than specified in Domains to Generate in Single Block program setting, only this specified number of domains is added to the domain list. The rest part of the domains is scheduled to be added when Generate Next <N> Domains command is called. Here, <N> is number, specified in the Domains to Generate in Single Block program setting.
Import from File... - Opens file dialog allowing you to choose the file whose content will be imported into Domains List. Each line of the file will be treated as one domain name.
Lookup Selected Domain - Starts the process of checking availability of the selected domain.
Lookup All Marked - Starts the process of checking availability of all domains that are marked.
Stop Selected Domain - Stops the process of checking availability of the selected domain.
Stop All - Stops the process of checking availability of all domains from the Domains List.
Reset All Marked - Stops the process of checking availability of all domains that are marked and clears all information about these domains. Status is reset as well, so these domains can be queried again.

Tools menu

Options - Opens Program Options window.
Setup TLDs... - Allows to change TLDs and whois servers.
Setup Extended TLDs... - Allows to define TLDs such as co.uk, ab.ca.
Define Themes... - Allows to add, remove and change Theme templates.
Auto-Configure Proxies... - Automatically configures proxies which makes domain Popularity lookup much faster.
Check For Updates - Checks for new configurations and new program versions.

Help menu

Getting Started... - Opens Getting Started dialog.
Help Topics - Displays Help Topics.
Send Bug Report or Inquiry - Starts your default e-mail client and allows you to send us an e-mail. To-Address and Subject fields are set with predefined values.
How To Purchase - Displays information about purchasing Available Domains.
Purchase Online - Opens Web page of our registration service.
Enter Registration Key... - Opens the window for entering registration key.
About Available Domains... - Displays the program information.

See Also:
Main Features
How To Use Available Domains


Keywords Window

Quick Mode

Just enter one or several keywords, select desired Themes and desired TLDs in TLD Window. Please be careful, don't enter too many keywords. For example, single keyword and Common Theme will result in more than 300 quality domains! Two keywords will give you more than 1600 domains!

You can use any prefix or suffix for keywords from the Text Mode (read below).

Text Mode

The Keywords Window allows you to enter keywords.

Keywords are separated with line breaks or spaces.

If you need some keyword to be mandatory, that is, to be always present in domain names, use "+" symbol before keyword.
If you want to define a position for keyword, add "[order]" after this keyword. "order" can be a "number" (number of order), "number1-number2" (range of positions), "a" (any position), "s" (start of domain name), "m" (middle of domain name), "e" (end of domain name), "s-m", "m-e", "s-e".

Example:
"
comp;computer
+soft;software
i[s];e
"
defines 3 keywords: "comp;computer", "soft;software", "i;e".

Each keywords can consists of two or more synonyms. Synonyms should be separated with semi-colon and should not contain spaces, line breaks or other separators.
In the example above, keyword "comp;computer" has two synonyms, and keyword "soft;software" has two synonyms as well.

See Also:
How To Define Keywords
Main Features
How To Use Available Domains


TLDs Window

Use TLDs Window to specify TLDs to combine with generated domain names.

Two buttons in first group of toolbar allows you to Mark All TLDs and Invert Marks.
Next two buttons manage visible TLDs. Show Global makes global TLDs (com, edu, net, org) visible. Show Frequently Used makes visible frequently used TLDs. When no buttons pressed, all TLDs are visible.

By default, COM, NET and ORG domains will be used.
Click the check box corresponding to the desired domain name to mark or unmark this domain.

See Also:
Main Features
How To Use Available Domains


Domains Window

Domains Window contains the list of domains. Each domain is represented by the row in the list and has following properties: Domain Name, Availability, Status, Expiration Date, Registrar, Custom Column, Yahoo, Altavista, Google, Alexa, DMOZ, AllTheWeb, Average Popularity.

Most operations with the Domain List use some group of domains, that is, domains that are marked. To mark or unmark specific domain, click the checkbox at the left of the domain.

You can sort the list by clicking at the corresponding column header.

See Also:
Main Features
How To Use Available Domains


Domain InfoBar

Domain Name textbox indicates the name of currently selected domain.

Registrar textbox contains the name of Registrar used for registration of this domain. This textbox becomes visible after domain lookup is finished. Before that, this text box indicates current status of domain.

Textbox at the bottom of the InfoBar contains domain information retrieved from InterNIC (in the first pass) and information retrieved directly from Registrar.

See Also:
Main Features
How To Use Available Domains


Status Bar

Status Bar displays hint (text such as "For Help, press F1"), brief statistics about domains, keyboard states (Caps Lock, Num Lock).

Domain statistics has three numbers: Total Domains is the number of all domains in the Domains List;
Available is the number of domains that are available for your registration;
Not Available is the number of domains that are taken.

See Also:
Main Features
How To Use Available Domains


Program Options

Connection Tab

WHOIS-HTTP Mode switch
Queue
URL for Register Domain
Retrieve Additional Domain Information
Check For Updates on Start-Up

Proxy Tab

HTTP Proxy Support
Use Proxy Cache when Checking Domains
Use Proxy Cache when Checking Popularity
Locate and use HTTP Proxies for Popularity (recommended)

Generation Tab

Generation Rules
Domain Blocks
Auto-Check domains after Generation process

Server Load and Abuse Tab

Max. Invalid Responses from Server
Pause if WHOIS Server is Busy

Link Popularity Tab

Check Link Popularity checkbox
Yahoo
DMOZ
Google
Alexa
Altavista
AllTheWeb
Average Popularity
Google Query

Custom Column Tab

Custom Column settings

Logging Tab

Logging settings

Other Tab

Alarm when Days before Expiration
Auto-sort domains by Availability
Show Export Results dialog when all Domains checked
Domain Validation: TLD is Missing
Domain Validation: Not a Second-Level Domain
Domain Validation: Wrong TLD

See Also:
Main Features
How To Use Available Domains


How To Use Available Domains

You can find Available Domains overview and concepts in Getting Started help topic.

For detailed information on how to use Available Domains, read the following topics:

  • How to define keywords
  • Managing the Domains List
  • How to lookup desired domains
  • Understanding search results


How to Define Keywords

Quick Mode

Just enter one or several keywords, select desired Themes and desired TLDs in TLD Window. Please be careful, don't enter too many keywords. For example, single keyword and Common Theme will result in more than 300 quality domains! Two keywords will give you more than 1600 domains!

Finding relevant keywords in Text Mode

To effectively create all desired domain names, it's vital to use relevant keywords.

The main rule here is to extract several main meanings from the desired domain name and put these meanings into keywords. That is, if you want to find a domain for your web car's shop, there will be three meanings: web, car, shop. Now extend every meaning with its synonyms. You will get these keywords:
online[a];cyber; i[s-m];e; web[a];world
+car;cars
shop;store;sale;sales

Note that:
-online and cyber words will be used in any position in domain name ("a" order)
-i and e words will be used anywhere except the end of domain name ("s-m" order)
-web and world words will be used anywhere ("a" order)
-car and cars words are defined as mandatory and will be contained in any generated domain name

You can simply copy these keywords from this page and paste them to the Keywords Window. Now it's a time to generate domains from these keywords.

Generation of domains

The program uses unique method to generate domains; it ensures that ALL possible combinations will be created, and this makes the program a great brainstorming tool. TLDs selected in the TLDs Window will be used by adding themselves to the end of every created domain name.

Let's assume you selected only COM TLD. With the keywords mentioned above, here are some generated domain names:
cyber-car-shop.com
e-car-sales.com
online-car-store.com
onlinecarstore.com
carsales.com
carcybershop.com
 and so on...

See Also:
Keywords Window


Managing the Domain List

Now, after you generated domain names from keywords, or imported them from file, you may want to review them and delete unwanted domains. The recommended way to do it is to select such domains and delete by pressing Delete key, one by one. Or mark unwanted domains and choose "Delete Marked Domains" command from "Edit" menu. After unwanted domains were deleted, click "Mark All" button to mark all domains.

Alternative method is to find desired domains and lookup only them (use right-click menu) ignoring all other domains.

Read next topic on how to check marked or currently selected domain's availability - How to Lookup Desired Domains.


Lookup Desired Domains

Check Domain Availability

You can check domain availability using these commands (or corresponding command from context menu):

  • Lookup currently selected domain by using Lookup Selected Domain command from Domains menu.
  • Lookup marked domains by using Lookup Marked command from Domains menu or by clicking Lookup Marked button.

When you lookup a domain, it's added to the lookup queue. Domains from the queue are auto-checked one by one in two passes. When domain is queried for the first time, this is called the first pass. During the first pass, basic domain information is retrieved from Registry WHOIS/web server. This domain information is represented in Availability, Status columns and Domain InfoBar.

When the domain is queried for the second time, this is called the second pass. The second pass is used for retrieving detailed domain information. This information can be found in Domain InfoBar window.

Sometimes, you may want to stop the querying process. To do it, use the following commands:

  • Stop currently selected domain by using Stop Selected Domain command from Domains menu.
  • Stop all domains by using Stop All command from Domains menu or by clicking Stop All toolbar button.

When all domains' querying completes, you will need to understand the results. Read about it in Understanding results of querying topic.


Understanding Results of Querying

Understanding Results of Domain Lookup

Querying all desired domains was finished, now you need to find out which good domains are available and which ones are taken.

The best way to see domains that are available is to click "Availability" column header in the Domains List. You will get available domains listed first, after them there will be domains that are not available, and domains whose availability is unknown will be at the end of the list. It's very useful to copy domain names from the list using "Copy..." commands from "Edit" menu.

You can see what happens with the domain. The domain's Status property can have one of these values:

  • Done - Querying of the domain is completely finished (the second step is finished).
  • Unknown - Querying of the domain is canceled by the user or wasn't started yet.
  • TLD Unrecognized - Unknown TLD was used in the domain.
  • Network Error - Network error occured.
  • Querying - This domain is currently in the queue and querying process is just started.
  • Waiting... - This domain is not in the queue and it's waiting to be included there.
  • Unable to Connect - Cannot connect to web/WHOIS server (most possible, the computer is not connected to the Internet).
  • Looking up... - Finding web/WHOIS server.
  • Taken - Waiting for Details... - First pass is completed and the domain is taken. Now the domain will be included in the queue and second pass will retrieve domain's details.
  • WHOIS Server Busy, Check Later - WHOIS server is too busy to serve you now. You will have to check this domain again after several minutes.


How To Purchase Available Domains

Ordering Available Domains Professional Edition

Please visit http://www.alphacomsoft.com/avdproreg.htm for the most recent information.

Cost of single Available Domains Professional Edition license is $74.50. It includes free upgrades to new versions and free lifetime support!
For ordering multi-user license and getting a discount, please refer to http://www.alphacomsoft.com/avdproreg.htm

How To Purchase:
  • Run Help | Purchase Available Domains command from program menu. Then choose desired way of ordering.
    NOTE: If on-line method was selected, Internet connection must be established.
  • Visit http://www.alphacomsoft.com/avdproreg.htm. This web page contains comprehensive information about ordering Available Domains.
    NOTE: Internet connection must be established.
  • Open Secure Order Page. This page is placed on a secure web server and information you type in the order form will be handled as confidential.
    NOTE: Internet connection must be established.

Why Purchase:
  • To include your favorite feature into the program! (see Feature of Your choice program)
  • To remove nags when trying to check more than fifteen domains
  • To receive free upgrades to new versions
  • To obtain lifetime technical support via e-mail
  • You will be able to send us a feature suggestions and we will consider to include it into next releases.

More Information
After you have paid using one of suggested methods, you will receive your registration key. Enter registration key with using corresponding command in Help menu. After that all limitations of evaluation version will be removed.
Usually you will get registration key within one business day since payment made. If you did't get registration key, please contact us via softsales@alphacomsoft.com. We are sorry for any inconvinience it could cause.

Copyright © 1999-2003 AlphaCom Software
http://www.alphacomsoft.com


Available Domains on the Web

You can always find the most recent information about AlphaCom Software and our products on the Web.

AlphaCom Software Web Site | http://www.alphacomsoft.com
Available Domains Pro Home Page | http://www.alphacomsoft.com/avd/avdomains-p.htm
Purchase Available Domains Pro | http://www.alphacomsoft.com/avdproreg.htm

Copyright © 1999-2003 AlphaCom Software. All rights reserved.


Getting Started

Available Domains' friendly user interface allows you to easily find attractive and yet unregistered domains. Here are typical steps to help you to learn the program:

Specify keywords

Keywords Window is used for keywords definition and choosing domain generation mode. The most useful mode is Quick Mode. Let's see how it works. Type desired keywords and choose Themes.
Here is an example:

If you need some keyword to be mandatory, that is, to be always present in domain names, use "+" symbol before keyword.
If you want to define a position for keyword, add "[order]" after this keyword. "order" can be a "number" (number of order), "number1-number2" (range of positions), "a" (any position), "s" (start of domain name), "m" (middle of domain name), "e" (end of domain name), "s-m", "m-e", "s-e".

Create list of domain names

Now when you have defined the keywords, let's create list of domain names. Press button Generate Names or choose Generate From Keywords command from Domains menu. This command will add all domain names which contain at least one of the specified keywords to the names list. In addition selected Themes will be taken into account.

See Also:
Main Features
Search Samples
How To Use Available Domains


Getting Started

Available Domains Pro

Welcome to Available Domains Pro, powerful domain checker and advanced domain generator!

»WHOIS and Real-Time(RRP) Domain Availability

»Lookup Domain Popularity in Search Engines

»Lookup Domain presence in Directories

»Generate quality domain names

This Wizard will help you to setup Available Domains Pro. Follow its step-by-step instructions and in a few minutes you will get first results!
Click Next to continue.


Proxy Cache

Use Proxy Cache when Checking Domains

If you set HTTP Preferred Mode, you can use HTTP proxy's cache to speed up domain check. Please note that if you need to retrieve up-to-date information, you need to delete your proxy cache or clear this setting.


Additional Domain Information

Retrieve Additional Domain Information

Hints & Tricks:
»Tuning for best performance

Retrieve Additional Domain Information

If you don't need to retrieve Expiration Date and Owner information in COM, NET and ORG zones, clear this checkbox. Otherwise leave it selected.

Hints & Tricks:

Tuning for best performance

If you don't need to retrieve any registrant information but only Registrar, name servers, availability and Registry Dates, clear this checkbox and it will greatly increase performance (more than twice).
See other settings for more performance tips.


Alexa Traffic Ratings

Select this option if you want to check Alexa Traffic Rating for a domain. Please note that the lower the value, the higher traffic estimation for a domain. Alexa column of the domain list displays this value.

To learn how does Alexa value and its Weight affect Average Popularity, click here.


Domain Name Validation: Wrong TLD

Disallow TLD if it is not in the Top-Level Domains window

Select this checkbox if you want to disallow TLDs that are not selected in the Top-Levels Domains window.

If this setting is on, the program will treat any TLDs that are not selected in this window as wrong TLDs. This is very useful if you need to import from a large domain list domain names with a particular TLDs only.


AllTheWeb Link Popularity

Select this option if you want to check Link Popularity for a domain in the AllTheWeb search engine. AllTheWeb column of the domain list displays this value.

To learn how does AllTheWeb value and its Weight affect Average Popularity, click here.


Altavista Link Popularity

Select this option if you want to check Link Popularity for a domain in the Altavista search engine. Altavista column of the domain list displays this value.

To learn how does Altavista value and its Weight affect Average Popularity, click here.


Auto lookup domains

Auto-Check Domains after Generation

Select this checkbox if you want to auto-lookup domains each time the domain generation process completed.


Auto-Sort domains by Availability

Select this checkbox if you want to auto-sort domains by their Availability in addition to the sorting that you choose by click on the domain list column. This setting can be very useful if you want available (or taken) domains to be always on the top of the domain list.


Average Popularity and Weight

Average Popularity and Weights

To the right of the search engine names there are edit boxes with the numbers. These are search engine Weights. They are used to calculate Average Popularity column.

For example, you have the following search engines turned on: Yahoo with the weight of "50" and Google with the weight of "0.001". After the program retrieves link popularity for Yahoo and Google, it will calculate Average popularity by multiplying each link popularity by its weight. So the Average Popularity will be <Yahoo LP>*50 + <Google LP>*0.001


Pause when WHOIS server is busy (or blocked your IP)

Pause if WHOIS Server is Busy

Sometimes WHOIS server tells that it is currently busy (overworking) and cannot process your request at this time. In this case, the program will exclude this server from lookup for a defined period, in seconds. During this period, the program will try to use other HTTP or WHOIS servers if it's possible.


Custom Column

Sometimes it's necessary to lookup specific domain information when all domain availability and link popularity retrieved. It can be a Google Query, or real-time Registrar database lookup (RRP - Registry / Registrar protocol). Custom Column feature can be used in such situations. When all domain information is retrieved by the program, expression from Calculate Expression setting is calculated. Result of this expression is written to the Custom Column for current domain. Custom Column value is saved when the document saved and exported when you export the whole domain list.

Enable Custom Column and Calculate Expression checkboxes

If you want to use Custom Column, select these checkboxes and clear them otherwise.

Custom Column Name

Enter a Custom Column name that will be displayed in the domain list.

Expression

Currently, the following functions and variables are supported:

Variables:
domain - full domain name (with TLD).
domain_noTLD - domain name w/o TLD.
TLD - TLD.
DateTime - Current Date and Time.

Functions:
GoogleQuery_ResultCount(query) - Gives a number of results for a query.
Google_ResultCount(URL) - The same as above, but you need to provide URL instead of query.

Here are several examples of using Custom Column.

Example A. You need to check Google link popularity but count links from pages written in German only! Use the following expression: <%Google_ResultCount("http://www.google.com/search?q=%22www." & domain & "%22&safe=off&num=1&lr=lang_de")%>

Example B. You need to check whether a domain contain some word(s). Use the following expression: <%Google_ResultCount("http://www.google.com/search?q=word1+word2+site%3Awww." & domain & "&num=1")%>
 Replace word1 and word2 with desired words.

Example C. In addition to usual Google popularity, you need to check Google popularity for a domain without TLD. Use this expression: <%GoogleQuery_ResultCount(domain_noTLD)%>


Check Link Popularity

Select this checkbox only if you want to retrieve Link Popularity values from search engines and directories. If you don't need Link Popularity, clear this checkbox as it can make domain lookup much faster.


Check For Updates

Check For Updates on Start-Up

If this setting is on, the program will retrieve new configurations and versions information on each start-up. Without often configuration updates the program can report wrong information (incorrect availability or link popularity).
Recommended value: On.


Days to Expire

Alarm when days before Expiration...

If number of days before a domain expires is less than the number you define, Availabiliy column will show how many days are left before expiration.


DMOZ Directory Link Popularity

DMOZ Directory Check

Select this option if you want to check number of listings for a domain in the DMOZ Directory. DMOZ column of the domain list displays this value.

To learn how does DMOZ value and its Weight affect Average Popularity, click here.


Domain Blocks

Domains to generate in Single Block

If you need to generate large domain lists, domains will be generated in several chunks, so called Domain Blocks. Domain Blocks are very useful especially if you prefer to look at each generated domain.

E.g. you could set suitable Domain Block size (e.g. 100), generate domains and check their availability, popularity, etc. Then look at generated domains and if a desired domain name found, you won't generate remaining domains thus saving your Internet traffic or online time. If there are no suitable domain names in current Domain Block, simply delete all domains and generate another Domain Block using Generate Next Domains under Domains menu.


Domain Generation Rules

Allow hyphens between keywords

This checkbox affects Quick and Text Modes. If its turned on, during generation process into the domain list will be added "hyphened" domain names (as well as domain names without hyphens).

Max. Words to use in Domain Name

Use this setting to limit number of keywords in generated domain names. For example, if you have "a", "b" and "c" keywords and limit number of keywords to 2, the program will generate the following domain names (w/o hyphens to keep it simple):
"a", "ab", "ac", "b", "ba", "bc", "c", "ca", "cb". As you can see there are no 3-keywords domain names.

Max. Length of Domain Name

Use it to limit length of generated domain names.


Google Link Popularity

Select this option if you want to check Link Popularity for a domain in the Google search engine. Google column of the domain list displays this value.

To learn how does Google value and its Weight affect Average Popularity, click here.


Google Query

This is the query that is sent to Google when domain's Link Popularity checked (the string that you have to enter into text box on www.google.com). Users use "domain.com", "www.domain.com", or even "http://www.domain.com". By default, the program uses link:domain.com request and it's the best choice if you need to estimate Google Page Rank.

You should use %s to replace domain.com. Thus the default request string is link:www.%s.


Help

Context Help

Please place cursor near the setting to get detailed information.


HTTP Proxy Support

Hints & Tricks:
»Tuning for best performance

Use Internet Explorer settings

If have Internet Explorer configured for web surfing and want its settings to be used, select this box.

Use HTTP Proxy

Select this checkbox if you want the program to use proxy.

Host

Proxy server name or IP address.

Port

Proxy server port (usually: 80, 3128, 8080).

User Name

Username if your proxy requires a login. Otherwise leave this edit box empty.

Password

Password if your proxy requires it. Otherwise leave it empty.

Hints & Tricks:

Tuning for best performance

Specify a proxy server if you know that it provides faster Internet.
See other settings for more performance tips.


Registry/Registrar WHOIS and WHOIS/HTTP Modes

Registry/Registrar WHOIS and WHOIS-HTTP Modes

Hints & Tricks:
»Tuning for best performance

Lookup Registry WHOIS

Registry WHOIS provides basic information about domain name such as its creation time, status, name servers. If you want to check domain availability using WHOIS, select this setting and clear Also Lookup Registrar WHOIS setting.

Also Lookup Registrar WHOIS

Registrar WHOIS (also called Referral WHOIS) provides as much information about domain name as possible. Usually this information includes Expiration Date, Registrant (Owner) information, Technical Contacts and so on.

WHOIS and HTTP Modes

WHOIS mode uses WHOIS servers to retrieve domain information while HTTP mode uses HTTP server if it's possible. If a request to server fails, the program can use another mode when it's allowed.
Recommended value: both WHOIS and HTTP Modes selected.

Hints & Tricks:

Tuning for best performance

WHOIS lookups are useful for brief but not too accurate domain list availability check (use Registry only) and for retrieving Expiration Dates (also select Registrar WHOIS). To scan soon-to-expire domain list, use Real-Time Availability check.
See other settings for more performance tips.


Invalid Content Responses

"Invalid Content" Responses from Server

Global Block

"Invalid Content" response means that WHOIS or HTTP server returned response that the program cannot recognize. Global Block is used to block servers constantly returning wrong responses. Global Block count for a particular server increased every time the server returned invalid response. When this count exceed the number you define, this server won't be used anymore until your restart the program.
Default value: 300

Per-Domain Block

Per-Domain Block is used to block servers returning wrong responses for a particular domain only. This count for a particular server and a particular domain increased every time the server returned invalid response regarding the domain. When this count exceed the number you define, this server won't be used while checking this domain until your restart the program.
Default value: 5


Logging

Log Available Domains events

Selecting this checkbox will make the program logging internal events into log.txt file.

Reset Log on Startup

If this checkbox is selected, the program will clear log.txt file on each startup.

Clear Log

Immediately clears log file.

View Log

Opens log file in a text viewer.

Open Folders

Opens the Folder where the program was installed in Windows Explorer.


Domain Name Validation: TLD is Missing

TLD is Missing

When you add a domain name into the domain list, it's checked for correctness and if it's an invalid domain name, it is validated.

TLD is Missing means that domain name has no TLD. E.g. "host", "domain", "help". In this case, dialog with two choices will be displayed: Reject Domain and don't include it in the domain list and Don't Validate i.e. leave as is and include in the domain list.

Select the Don't ask, use this choice checkbox if you want to use selected choice by default and don't be prompted anymore.


Domain Name Validation: Not a Second-Level Domain

Not a Second-Level Domain

When you add a domain name into the domain list, it's checked for correctness and if it's an invalid domain name, it is validated.

Not a Second-Level Domain means that domain name is too long. E.g. "www.domain.com", "web.cam.co.uk", "whois.internic.net". In this case, dialog with three choices will be displayed:Convert to Second-Level Domain that is remove unnecessary prefixes, Reject Domain and don't include it in the domain list and Don't Validate i.e. leave as is and include in the domain list.

Select the Don't ask, use this choice checkbox if you want to use selected choice by default and don't be prompted anymore.


Proxy Cache

Use Proxy Cache when Checking Popularity

If you set HTTP Preferred Mode, you can use HTTP proxy's cache to speed up domain popularity lookup. Please note that if you need to retrieve up-to-date information, you need to delete your proxy cache or clear this setting.


Domain List

Hints & Tricks:
»Tuning for best performance

Max. Domain lookups at a time

It defines the maximum number of simultaneous requests to WHOIS or HTTP servers that the program can make at a time.
Recommended value: 5-10 for dial-up, 10-20 for faster Internet.

Hints & Tricks:

Tuning for best performance

The higher the number, the faster the program will work. But if you use dial-up connection to the Internet and need to retrieve domain information from Registrar WHOIS or check Link Popularity, high values are not recommended.
See other settings for more performance tips.


Check Domain Real-Time Availability

Hints & Tricks:
»Tuning for best performance

Please Note!

To use Real-Time Availability feature you need to be Available Domains registered user and have static(fixed) IP address. If you don't have a static IP address, we cannot guarantee that this feature will work.
COM, NET, ORG, CC, TV, WS, INFO, BIZ domains are supported. Contact us if you need more information.

Check Domain Real-Time Availability

Select this setting if you want to check real-time availability of domains. Note that you can retrieve domain availability from WHOIS as well, but WHOIS database is updated with 24-48hrs delay. So WHOIS availability is not accurate. Real-Time Availability is much more accurate. If it reports that a domain is available, you can register it for sure. The drawback of Real-Time Availability check is its relatively slow speed compared to WHOIS check.

Hints & Tricks:

Tuning for best performance

If you want fast and brief domain availability check and these domains are not from soon-to-expire list, select Lookup Registry WHOIS setting and clear Check Real-Time Availability setting.
If you need accurate availability check, e.g. when trying to find dropped domains from soon-to-expire list, use Real-Time Availability.
See other settings for more performance tips.


Show Export Results dialog when all domains checked

Turn this setting on if you want Export Results dialog to be displayed when all domains checked. This dialog allows you to delete unwanted domains and export, print or send via e-mail suitable domain names.


URL for Domain Registering

URL for Register Domain command

URL

This URL is used when you right-click on the domain and choose Register Domain command from context menu.

Use %s where full domain name should appear, %domain where domain without TLD should appear and %tld for TLD.

Example for DotSter.COM:
https://secure.registerapi.com/order/register/check.php?siteid=4798&DomainName=%s&submit=GO


Locate and use HTTP proxies for popularity lookup

Locate and use HTTP Proxies for Popularity

If this checkbox is selected, the program will use list of anonymous proxies to check domain popularity. Proxy list is updated automatically during Check For Updates process. Make sure you configured proxies using Auto-Configure Proxies command from Tools menu.
Turning this setting on is highly recommended. Otherwise your IP can be blocked by Yahoo and Google after several thousands of popularity lookups.


Domain Name Validation: Wrong TLD

Wrong TLD

When you add a domain name into the domain list, it's checked for correctness and if it's an invalid domain name, it is validated.

Wrong TLD means that the program cannot recognize TLD. E.g. "domain.xxx", "help.htm", "file.exe". In this case, dialog with two choices will be displayed: Reject Domain and don't include it in the domain list and Don't Validate that is, leave as is and include in the domain list.

Select the Don't ask, use this choice checkbox if you want to use selected choice by default and don't be prompted anymore.


Yahoo Directory Link Popularity

Yahoo Directory Check

Select this option if you want to check whether a domain is in the Yahoo Directory. Yahoo column of the domain list is 1 if a domain is in the Directory and 0 otherwise.

To learn how does Yahoo value and its Weight affect Average Popularity, click here.